# Interface SeeTree

All Superinterfaces:
  `BlockTagTree, DocTree`

public interface SeeTree extends BlockTagTree
A tree node for an `@see` block tag.

       @see "string"
       @see <a href="URL#value"> label </a>
       @see reference

Since:
  1.8

## Nested Class Summary

### Nested classes/interfaces declared in interface DocTree

`DocTree.Kind`
Modifier and Type
Interface
Description
`static enum`
`DocTree.Kind`
Enumerates all kinds of trees.

## Method Summary

Modifier and Type
Method
Description
`List<? extends DocTree>`
`getReference()`
Returns the reference.

### Methods declared in interface BlockTagTree

`getTagName`
Modifier and Type
Method
Description
`String`
`getTagName()`
Returns the name of the tag.

### Methods declared in interface DocTree

`accept, getKind`
Modifier and Type
Method
Description
`<R,D> R`
`accept(DocTreeVisitor<R,D> visitor, D data)`
Accept method used to implement the visitor pattern.
`DocTree.Kind`
`getKind()`
Returns the kind of this tree.

## Method Details

### getReference

List<? extends DocTree> getReference()
Returns the reference.

Returns:
  the reference